TU-Berlin | → | Inst. f. Mathematik | → | Algebra und Zahlentheorie | → | KASH | → | Documentation | → | Reference Manual

| KASH3 Reference Manual

Introduction | Reference Manual | Index

search

### Statement

for

### Syntax

for <variable> in <list> do <statements> od;

### Description

<shortdoc> The 'for' loop executes the <statements> for every element of <list>. The statement sequence <variable> is first executed with <variable> bound to the first element of <list>, then with <variable> bound to the second element of <list> and so on. <variable> must be a simple variable, it must not be a list element selection or a record component selection. </shortdoc>

| Built: Mon Nov 14 21:12:39 UTC 2005 on mack